## aws-nuke 2.16.0

=== Makefile ===
PACKAGE=github.com/rebuy-de/aws-nuke

include golang.mk

=== debian/changelog ===
aws-nuke (2.16.0-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 19 Jun 2025 17:26:51 +1000

aws-nuke (2.16.0-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 24 Oct 2024 11:42:12 +1000

aws-nuke (2.16.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 11:21:58 +0530

aws-nuke (2.16.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:12 +1200

aws-nuke (2.16.0-1) unstable; urgency=medium

  * Initial release (Closes: #994071)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Sat, 11 Sep 2021 01:08:59 -0300

=== debian/control ===
Source: aws-nuke
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-fatih-color-dev,
               golang-github-golang-mock-dev,
               golang-github-pkg-errors-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-tools-dev,
               golang-github-mb0-glob-dev,
               golang-yaml.v2-dev,
               help2man <!nodoc>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/aws-nuke
Vcs-Git: https://salsa.debian.org/go-team/packages/aws-nuke.git
Homepage: https://github.com/rebuy-de/aws-nuke
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/rebuy-de/aws-nuke

Package: aws-nuke
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Delete a whole AWS account and all resources
 Remove all resources from an AWS account.
 .
 Be aware that aws-nuke is a very destructive tool, hence be very careful while
 using it. Otherwise can cause production data deletion.
 .
 As an advise try to not run this application on any AWS account, where cannot
 be afforded to lose all resources. By default aws-nuke only lists all resources
 to delete. It's necessary to add --no-dry-run to actually delete resources.
 .
 This tool retries deleting all resources until all specified ones are deleted
 or until there are only resources with errors left. There are two ways to
 authenticate aws-nuke, static credentials and profiles.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aws-nuke-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/rebuy-de/aws-nuke/tags .*/v?(\d\S*)\.tar\.gz debian
